View Issue Details

IDProjectCategoryView StatusLast Update
0026544mantisbtinstallationpublic2020-01-12 10:27
Reporterbugzz Assigned Toatrol  
PriorityhighSeverityminorReproducibilityalways
Status closedResolutionno change required 
Product Version2.23.0 
Summary0026544: SourceForge Files Cannot be Unzipped
Description

digests and asc files cannot be unzipped

  1. Renamed file to remove .digest extension
  2. Then run
    unzip mantisbt-2.23.0-d.zip
    Archive: mantisbt-2.23.0-d.zip
    End-of-central-directory signature not found. Either this file is not
    a zipfile, or it constitutes one disk of a multi-part archive. In the
    latter case the central directory and zipfile comment will be found on
    the last disk(s) of this archive.
  3. Note the zip for the software unzips fine. I think the digest is corrupted
TagsNo tags attached.

Relationships

related to 0022269 assignedvboctor Public key for verification should be available 

Activities

bugzz

bugzz

2020-01-01 17:58

reporter   ~0063353

I tried to open on OS X and Ubuntu. No luck with any of the digest or asc files -- in ANY format.
The software itself was fine in both formats.

bugzz

bugzz

2020-01-01 18:04

reporter   ~0063354

I just discovered that clicking on the "i" shows me the hashes. All set. Please close this issue. Thanks!

dregad

dregad

2020-01-02 03:51

developer   ~0063356

@bugzz FYI these are plain-text files.

  • the .digest files contains sha1 and md5 hashes, which are automatically generated by our build process using standard tools (sha1sum, md5sum). You can compare these with what SourceForge shows you when you click on the (i) button for the corresponding archive (.zip or .tar.gz), they should be identical.
  • the .asc is a gpg-generated digital signature (ASCII armor), to verify file integrity use gpg --verify key.asc file_to_check, however, please note that the public key is currently not available (see 0022269).

Issue History

Date Modified Username Field Change
2020-01-01 17:47 bugzz New Issue
2020-01-01 17:58 bugzz Note Added: 0063353
2020-01-01 18:04 bugzz Note Added: 0063354
2020-01-01 18:06 atrol Assigned To => atrol
2020-01-01 18:06 atrol Status new => resolved
2020-01-01 18:06 atrol Resolution open => no change required
2020-01-02 03:51 dregad Note Added: 0063356
2020-01-02 03:51 dregad Relationship added related to 0022269
2020-01-12 10:27 atrol Status resolved => closed